<?php
/*
  FILE: WpuDebug.php
*/

require_once("WpuDefs.php");

class WpuDebug {
    public static $COLOR_WARN = "#008800";
    public static $COLOR_ERROR = "#880000";
    public static $COLOR_INFO = "#000088";

    private static function printTaggedString($title, $note, $color){
        if(WPU_DEBUG) {

            echo '<P><FONT color="'
                . $color
                . '"><B>' 
                . $title
                . ':</B> '
                . $note
                . '</FONT></P>';
        }
    }

    public static function warn($title, $note) {
        self::printTaggedString($title, $note, self::$COLOR_WARN);
    }

    public static function error($title, $note) {
        self::printTaggedString($title, $note, self::$COLOR_ERROR);
    }

    public static function info($title, $note) {
        self::printTaggedString($title, $note, self::$COLOR_INFO);
    }
}


?>